# unstable
# stable
# pre

$TYPE="stable"
$VERSION="1.17.11"
$DEST="$($pwd.Path)\cartographer"

New-Item -ItemType Directory -Path "map_data" -Force

New-Item -ItemType Directory -Path "$DEST\cartographerData\ModConfig" -Force
New-Item -ItemType Directory -Path "$DEST\cartographerData\Mods" -Force
New-Item -ItemType File -Path "$DEST\cartographerData\serverconfig.json" -Force
New-Item -ItemType File -Path "$DEST\cartographerData\servermagicnumbers.json" -Force

Copy-Item -Path ".\WebCartographerConfig.json" -Destination "$DEST\cartographerData\ModConfig\WebCartographerConfig.json"
Copy-Item -Path ".\blockColorMapping.json" -Destination "$DEST\cartographerData\ModConfig\blockColorMapping.json"

$SERVER="vs_server_${VERSION}.tar.gz"

$URL_SERVER="https://cdn.vintagestory.at/gamefiles/${TYPE}/vs_server_${VERSION}.tar.gz"

if (!(Test-Path $SERVER)) {
    curl -o $SERVER $URL_SERVER
}

tar -xzf $SERVER -C $DEST

docker compose up cartographer
docker compose up gdal
docker compose up webmap -d

Write-Host "Done creating webmap - Check it out at http://localhost:4242" -ForegroundColor Yellow

pause