#!/bin/bash
set -e
# unstable
# stable
# pre

TYPE=stable
VERSION=1.17.11
DEST=$(pwd)/cartographer

mkdir -p $DEST

mkdir -p html
mkdir -p map_data
mkdir -p $DEST/cartographerData/ModConfig
mkdir -p $DEST/cartographerData/Mods

touch $DEST/cartographerData/serverconfig.json
touch $DEST/cartographerData/servermagicnumbers.json

cp WebCartographerConfig.json $DEST/cartographerData/ModConfig/WebCartographerConfig.json
cp blockColorMapping.json $DEST/cartographerData/ModConfig/blockColorMapping.json

SERVER=vs_server_${VERSION}.tar.gz

URL_SERVER=https://cdn.vintagestory.at/gamefiles/${TYPE}/vs_server_${VERSION}.tar.gz

if [ ! -f "$SERVER" ];
then
rm $SERVER
curl -k -o $SERVER $URL_SERVER
fi

tar -xzf $SERVER -C $DEST

docker compose up cartographer
docker compose up gdal
docker compose up webmap -d

echo "Done creating webmap - Check it out at http://localhost:4242"
